## Index

### Functions

- interactionDecoration
- layerDecoration
- layerLoading

## Functions

### interactionDecoration

- interactionDecoration(interaction: Interaction): void

- - Defined in src/misc/decorate.js:40

  Provides a function that adds an "active" property (using `Object.defineProperty`) to an interaction, making it possible to use ngModel to activate/deactivate interactions.

  Example:

       <input type="checkbox" ngModel="interaction.active" />

  #### Parameters

  - ##### interaction: Interaction

    Interaction to decorate.

  #### Returns void

### layerDecoration

- layerDecoration(layer: BaseLayer): void

- - Defined in src/misc/decorate.js:62

  Provides a function that adds properties (using `Object.defineProperty`) to the layer, making it possible to control layer properties with ngModel.

  Example:

       <input type="checkbox" ngModel="layer.visible" />

  #### Parameters

  - ##### layer: BaseLayer

    Layer to decorate.

  #### Returns void

### layerLoading

- layerLoading(layer: BaseLayer, $scope: IScope): void

- - Defined in src/misc/decorate.js:107

  Provides a function that adds a 'loading 'property (using `Object.defineProperty`) to an ol.layer.Group or a layer with an ol.source.Tile or an ol.source.Image source. This property is true when the layer is loading and false otherwise.

  Example:

       <span ng-if="layer.loading">please wait</span>

  #### Parameters

  - ##### layer: BaseLayer

    layer.

  - ##### $scope: IScope

    Scope.

  #### Returns void

Generated using TypeDoc